commit:     406e7ae63d4f246c9b1a7f82f5a92046fe282ee3
Author:     Michael Orlitzky <mjo <AT> gentoo <DOT> org>
AuthorDate: Wed Apr  6 22:13:46 2016 +0000
Commit:     Michael Orlitzky <mjo <AT> gentoo <DOT> org>
CommitDate: Wed Apr  6 22:14:00 2016 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=406e7ae6

app-antivirus/clamav-unofficial-sigs: add new version 5.0.6.

Package-Manager: portage-2.2.26

 app-antivirus/clamav-unofficial-sigs/Manifest      |  1 +
 .../clamav-unofficial-sigs-5.0.6.ebuild            | 88 ++++++++++++++++++++++
 2 files changed, 89 insertions(+)

diff --git a/app-antivirus/clamav-unofficial-sigs/Manifest 
b/app-antivirus/clamav-unofficial-sigs/Manifest
index 4ab956e..1570cd8 100644
--- a/app-antivirus/clamav-unofficial-sigs/Manifest
+++ b/app-antivirus/clamav-unofficial-sigs/Manifest
@@ -1,2 +1,3 @@
 DIST clamav-unofficial-sigs-3.7.2.tar.gz 38549 SHA256 
96e98e6e4434c5950fa9831c6a43236fed7eabae44beded16171305cf3f9bdb9 SHA512 
ee07bf521cca229bc85acb887c8e520149955732797a9d220e24f09cb9e89f9bd189ad77dc781c03c60bdaaec2bfa91a6c96cf7a0b689759cddf3ff231b8b0a4
 WHIRLPOOL 
af4925c8a9bb8c09472131f98026b809da13e122a530c4a48614014b8156a259d37303cb1042da98d0bd8b0f4abef3cd7c05f2d549f87e1b7cd533d4a8d4d188
 DIST clamav-unofficial-sigs-4.9.2.tar.gz 40301 SHA256 
70e05f63add7e03d5af2dba6bcd31fda98646577798d99e6902e5f264c302e93 SHA512 
46ec2e59c3838f4cff88562eacbd00ee1ad108f8f45500b9cde268c3d46bd3f6be68ff6136b7f3a4f6b628ff0b24f5dd10b2199e611b473acd7df82abf27b2c8
 WHIRLPOOL 
3029ee278629c3e8cf5471564e7ff054fc335e066d03653df82d07a87fa0dda76e41c5572c93fd0f28a434d002f3bdadd60043540378504c289333092aca412a
+DIST clamav-unofficial-sigs-5.0.6.tar.gz 34090 SHA256 
1c3640a8548a09a02e62a9bc57d81f3c757cd193902f445b9e530a4ba5331585 SHA512 
2466faef1ed5bddf70623724248f08f035a3083bb7f1de6ba80d33fd780a15c2e819cff4fc3acdd4131a7fa277683f9ce3d4ad9e0322ac396af8cdf052350b9b
 WHIRLPOOL 
0efd21c2aa2b7c80877301d6262cb6cc96b7c66a851cb0de2f1371c487dd37188cc4ab44f64f2c4224826826d0ce075674b9b079850db19e0349eb7159546394

diff --git 
a/app-antivirus/clamav-unofficial-sigs/clamav-unofficial-sigs-5.0.6.ebuild 
b/app-antivirus/clamav-unofficial-sigs/clamav-unofficial-sigs-5.0.6.ebuild
new file mode 100644
index 0000000..b716b03
--- /dev/null
+++ b/app-antivirus/clamav-unofficial-sigs/clamav-unofficial-sigs-5.0.6.ebuild
@@ -0,0 +1,88 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=6
+
+DESCRIPTION="Download and install third-party clamav signatures"
+HOMEPAGE="https://github.com/extremeshok/${PN}";
+SRC_URI="${HOMEPAGE}/archive/${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE=""
+
+# We need its user/group.
+DEPEND="app-antivirus/clamav"
+
+# The script relies on either net-misc/socat, or Perl's
+# IO::Socket::UNIX. We already depend on Perl, and Gentoo's Perl ships
+# with IO::Socket::UNIX, so we can leave out net-misc/socat here.
+RDEPEND="${DEPEND}
+       app-crypt/gnupg
+       dev-lang/perl
+       net-dns/bind-tools
+       net-misc/curl"
+
+src_prepare() {
+       # clamd listens on a local socket by default. The clamd_socket
+       # setting needs to be uncommented in the configuration file for it
+       # to take effect.
+       local socket_default="#clamd_socket=\"/var/run/clamav/clamd.sock\""
+       local socket_gentoo="clamd_socket=\"/var/run/clamav/clamd.sock\""
+
+       # The clamav init script doesn't provide a "reload" command,
+       # so we reload manually.
+       local reload_default="clamd_restart_opt=\"service clamd restart\""
+       local reload_gentoo="clamd_restart_opt=\"clamdscan --reload\""
+
+       sed -i "config/os.gentoo.conf" \
+               -e "s~${socket_default}~${socket_gentoo}~" \
+               -e "s~${reload_default}~${reload_gentoo}~" \
+               || die "failed to update config/os.gentoo.conf"
+
+       # Uncomment the "create" line in the logrotate.d file, and tighten
+       # the permissions a bit.
+       local logrotate_gentoo="     create 0640 clamav clamav"
+       sed -e "s~#     create 0644 clamav clamav~${logrotate_gentoo}~" \
+               -i "logrotate.d/${PN}" \
+               || die "failed to tighten permissions in logrotate.d/${PN}"
+
+       eapply_user
+}
+
+src_install() {
+       dosbin "${PN}.sh"
+
+       # The script's working directory (set in the conf file). By default,
+       # it runs as clamav/clamav.
+       diropts -m 0755 -o clamav -g clamav
+       dodir "/var/lib/${PN}"
+
+       insinto /etc/logrotate.d
+       doins "logrotate.d/${PN}"
+
+       insinto "/etc/${PN}"
+       doins config/master.conf
+       newins config/os.gentoo.conf os.conf
+
+       doman "${PN}.8"
+       dodoc README.md
+}
+
+pkg_postinst() {
+       elog ''
+       elog "You will need to select databases in /etc/${PN}/master.conf."
+       elog "For details, please see the ${PN}(8) manual page."
+       elog ''
+       elog 'An up-to-date description of the available Sanesecurity'
+       elog 'databases is available at,'
+       elog ''
+       elog '  http://sanesecurity.com/usage/signatures/'
+       elog ''
+       ewarn 'The configuration file has moved in the 5.x version!'
+       ewarn "You should migrate your config from /etc/${PN}.conf to"
+       ewarn "/etc/${PN}/master.conf"
+       ewarn ''
+}

Reply via email to